/// <reference path="../pb_data/types.d.ts" />
migrate((app) => {
  const collection = app.findCollectionByNameOrId("pbc_3940974")

  // add field
  collection.fields.addAt(8, new Field({
    "hidden": false,
    "id": "file3742640106",
    "maxSelect": 1,
    "maxSize": 0,
    "mimeTypes": [],
    "name": "site_logo",
    "presentable": false,
    "protected": false,
    "required": false,
    "system": false,
    "thumbs": [],
    "type": "file"
  }))

  return app.save(collection)
}, (app) => {
  const collection = app.findCollectionByNameOrId("pbc_3940974")

  // remove field
  collection.fields.removeById("file3742640106")

  return app.save(collection)
})
